Loading...
Searching...
No Matches
dolfin::Variable Class Reference

Common base class for DOLFIN variables. More...

`#include <Variable.h>`

Inheritance diagram for dolfin::Variable:
[legend]
Collaboration diagram for dolfin::Variable:
[legend]

## Public Member Functions

| Variable ()
| Create unnamed variable.
| Variable (const std::string name, const std::string label)
| Create variable with given name and label.
| Variable (const Variable &variable)
| Copy constructor.
virtual | ~Variable ()
| Destructor.
const Variable & | operator= (const Variable &variable)
| Assignment operator.
void | rename (const std::string name, const std::string label)
| Rename variable.
std::string | name () const
| Return name.
std::string | label () const
| Return label (description).
std::size_t | id () const
virtual std::string | str (bool verbose) const
| Return informal string representation (pretty-print).

## Public Attributes

Parameters | parameters
| Parameters.

## Detailed Description

Common base class for DOLFIN variables.

## Member Function Documentation

## id()

std::size_t dolfin::Variable::id | ( |  | ) | const

inline

Get unique identifier.

Returns std::size_t The unique integer identifier associated with the object.

## str()

std::string Variable::str | ( | bool | verbose | ) | const

virtual

Return informal string representation (pretty-print).

Reimplemented in dolfin::Amesos2LUSolver, dolfin::BelosKrylovSolver, dolfin::Constant, dolfin::DofMap, dolfin::EigenKrylovSolver, dolfin::EigenLUSolver, dolfin::EigenMatrix, dolfin::EigenVector, dolfin::FunctionSpace, dolfin::GenericDofMap, dolfin::GenericLinearAlgebraFactory::NotImplementedLinearOperator, dolfin::GenericLinearOperator, dolfin::GenericMatrix, dolfin::GenericTensor, dolfin::GenericVector, dolfin::Ifpack2Preconditioner, dolfin::Lagrange, dolfin::LinearOperator, dolfin::LocalMeshData, dolfin::Matrix, dolfin::Mesh, dolfin::MeshData, dolfin::MeshFunction< T >, dolfin::MeshFunction< T >, dolfin::MeshFunction< T >, dolfin::MeshFunction< T >, dolfin::MeshFunction< T >, dolfin::MeshFunction< std::size_t >, dolfin::MeshFunction< std::size_t >, dolfin::MeshFunction< std::size_t >, dolfin::MeshFunction< std::size_t >, dolfin::MeshTopology, dolfin::MeshValueCollection< T >, dolfin::MueluPreconditioner, dolfin::MultiStageScheme, dolfin::PETScBaseMatrix, dolfin::PETScKrylovSolver, dolfin::PETScLinearOperator, dolfin::PETScLUSolver, dolfin::PETScMatrix, dolfin::PETScNestMatrix, dolfin::PETScPreconditioner, dolfin::PETScVector, dolfin::Scalar, dolfin::Table, dolfin::TensorLayout, dolfin::TimeSeries, dolfin::TpetraMatrix, dolfin::TpetraVector, and dolfin::Vector.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/common/Variable.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/common/Variable.cpp